
From: Andrew Morton <akpm@osdl.org>

drivers/built-in.o(.text+0x10c8b2): In function `gl518_detect':
/tmp/distcc_1108/drivers/i2c/chips/gl518sm.c:426: undefined reference to `hwmon_device_register'
drivers/built-in.o(.text+0x10ca84): In function `gl518_detach_client':
/tmp/distcc_1108/drivers/i2c/chips/gl518sm.c:495: undefined reference to `hwmon_device_unregister'

Dunno if this is right, but all the i2c chips seem to need hwmon_*

Cc: Greg KH <greg@kroah.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/i2c/chips/Kconfig |    1 +
 1 files changed, 1 insertion(+)

diff -puN drivers/i2c/chips/Kconfig~i2c-chips-need-hwmon drivers/i2c/chips/Kconfig
--- 25/drivers/i2c/chips/Kconfig~i2c-chips-need-hwmon	2005-06-03 00:09:42.000000000 -0700
+++ 25-akpm/drivers/i2c/chips/Kconfig	2005-06-03 00:09:42.000000000 -0700
@@ -7,6 +7,7 @@ menu "Hardware Sensors Chip support"
 
 config I2C_SENSOR
 	tristate
+	select HWMON
 	default n
 
 config SENSORS_ADM1021
_
